org.springframework.scheduling.quartz

## Class MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob

- java.lang.Object
- - org.springframework.scheduling.quartz.QuartzJobBean
  - - org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob
    - - org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob

All Implemented Interfaces:
  Job, StatefulJob

Enclosing class:
  MethodInvokingJobDetailFactoryBean

    public static class MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob
    extends MethodInvokingJobDetailFactoryBean.MethodInvokingJob
    implements StatefulJob

Extension of the MethodInvokingJob, implementing the StatefulJob interface. Quartz checks whether or not jobs are stateful and if so, won't let jobs interfere with each other.

### Field Summary

### Fields inherited from class org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob

`logger`

### Constructor Summary

Constructors
Constructor and Description
`MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob()`

### Method Summary

### Methods inherited from class org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob

`executeInternal, setMethodInvoker`

### Methods inherited from class org.springframework.scheduling.quartz.QuartzJobBean

`execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.quartz.Job

`execute`

### Constructor Detail

#### MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob

    public MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob()